| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
cv::img_hash::RadialVarianceHash Class Reference
The module brings implementations of different image hashing algorithms.

Image hash based on Radon transform. More...

`#include <opencv2/img_hash/radial_variance_hash.hpp>`

Inheritance diagram for cv::img_hash::RadialVarianceHash:

## Public Member Functions
std::vector< double > | getFeatures ()
cv::Mat | getHash ()
int | getNumOfAngleLine () const
Mat | getPixPerLine (Mat const &input)
Mat | getProjection ()
double | getSigma () const
void | setNumOfAngleLine (int value)
void | setSigma (double value)
Public Member Functions inherited from cv::img_hash::ImgHashBase
| ~ImgHashBase ()
double | compare (cv::InputArray hashOne, cv::InputArray hashTwo) const
| Compare the hash value between inOne and inTwo. More...
void | compute (cv::InputArray inputArr, cv::OutputArray outputArr)
| Computes hash of the input image. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< RadialVarianceHash > | create (double sigma=1, int numOfAngleLine=180)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Protected Member Functions
| RadialVarianceHash ()
Protected Member Functions inherited from cv::img_hash::ImgHashBase
| ImgHashBase ()
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Additional Inherited Members
Protected Attributes inherited from cv::img_hash::ImgHashBase
Ptr< ImgHashImpl > | pImpl

## Detailed Description

Image hash based on Radon transform.

See [226] for details.

## Constructor & Destructor Documentation

## ◆ RadialVarianceHash()

cv::img_hash::RadialVarianceHash::RadialVarianceHash | ( |  | ) |
| inline protected

## Member Function Documentation

## ◆ create()

static Ptr<RadialVarianceHash> cv::img_hash::RadialVarianceHash::create | ( | double | sigma = `1`,
|  | int | numOfAngleLine = `180`
| ) |  |
| static

Python:
| retval | = | cv.img_hash.RadialVarianceHash_create( | [, sigma[, numOfAngleLine]] | )

## ◆ getFeatures()

std::vector<double> cv::img_hash::RadialVarianceHash::getFeatures | ( |  | ) |

## ◆ getHash()

cv::Mat cv::img_hash::RadialVarianceHash::getHash | ( |  | ) |

## ◆ getNumOfAngleLine()

int cv::img_hash::RadialVarianceHash::getNumOfAngleLine | ( |  | ) | const

Python:
| retval | = | cv.img_hash_RadialVarianceHash.getNumOfAngleLine( |  | )

## ◆ getPixPerLine()

Mat cv::img_hash::RadialVarianceHash::getPixPerLine | ( | Mat const & | input | ) |

## ◆ getProjection()

Mat cv::img_hash::RadialVarianceHash::getProjection | ( |  | ) |

## ◆ getSigma()

double cv::img_hash::RadialVarianceHash::getSigma | ( |  | ) | const

Python:
| retval | = | cv.img_hash_RadialVarianceHash.getSigma( |  | )

## ◆ setNumOfAngleLine()

void cv::img_hash::RadialVarianceHash::setNumOfAngleLine | ( | int | value | ) |

Python:
| None | = | cv.img_hash_RadialVarianceHash.setNumOfAngleLine( | value | )

## ◆ setSigma()

void cv::img_hash::RadialVarianceHash::setSigma | ( | double | value | ) |

Python:
| None | = | cv.img_hash_RadialVarianceHash.setSigma( | value | )

The documentation for this class was generated from the following file:

- opencv2/img_hash/radial_variance_hash.hpp